// === FORMAT ===
.text-small {
    font-size: 90%;
}

.text-italic {
    font-style: italic;
}

.text-center {
    text-align: center;
}

.btn-large {
    height: 45px;
}

// === TOOLTIP ===
.ui-tooltip {
    position: absolute;
    display: none;
    padding: .25em .5em;
    max-width: 12.5em;
}

.ui-tooltip.ui-tooltip-right,
.ui-tooltip.ui-tooltip-left {
    padding: 0 .25em;
}

.ui-tooltip.ui-tooltip-top,
.ui-tooltip.ui-tooltip-bottom {
    padding: .25em 0;
}

.ui-tooltip .ui-tooltip-text {
    padding: .125em .5em;
    background-color: var(--ion-color-primary);
    color: #ffffff;
    white-space: pre-line;
}

.ui-tooltip-arrow {
    position: absolute;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
}

.ui-tooltip-right .ui-tooltip-arrow {
    top: 50%;
    left: 0;
    margin-top: -.25em;
    border-width: .25em .25em .25em 0;
    border-right-color: rgb(76, 76, 76);
}

.ui-tooltip-left .ui-tooltip-arrow {
    top: 50%;
    right: 0;
    margin-top: -.25em;
    border-width: .25em 0 .25em .25em;
    border-left-color: rgb(76, 76, 76);
}

.ui-tooltip.ui-tooltip-top {
    padding: .25em 0;
}

.ui-tooltip-top .ui-tooltip-arrow {
    bottom: 0;
    left: 50%;
    margin-left: -.25em;
    border-width: .25em .25em 0;
    border-top-color: rgb(76, 76, 76);
}

.ui-tooltip-bottom .ui-tooltip-arrow {
    top: 0;
    left: 50%;
    margin-left: -.25em;
    border-width: 0 .25em .25em;
    border-bottom-color: rgb(76, 76, 76);
}

// === TREETABLE ===
.ui-treetable {
    position: relative;

    table {
        border-collapse: collapse;
        width: 100%;
        table-layout: fixed;
    }

    .ui-treetable-toggler {
        cursor: pointer;
        display: inline-block;
        height: 1em;
        position: relative;
        top: 50%;
    }

    .ui-sortable-column {
        cursor: pointer;
    }

    p-treetablesorticon {
        vertical-align: middle;
    }

    .ui-treetable-chkbox {
        margin: 0 .25em;
        vertical-align: middle;
    }

    .ui-paginator-top {
        border-bottom: 0 none;
    }

    .ui-paginator-bottom {
        border-top: 0 none;
    }

    .ui-column-resizer {
        display: block;
        position: absolute !important;
        top: 0;
        right: 0;
        margin: 0;
        width: .5em;
        height: 100%;
        padding: 0px;
        cursor: col-resize;
        border: 1px solid transparent;
    }

    .ui-column-resizer-helper {
        width: 1px;
        position: absolute;
        z-index: 10;
        display: none;
    }
}

.ui-treetable .ui-treetable-thead>tr>th,
.ui-treetable .ui-treetable-tbody>tr>td,
.ui-treetable .ui-treetable-tfoot>tr>td {
    padding: .25em .5em;
}

.ui-treetable .ui-treetable-thead>tr>th {
    padding: 0.571em 0.857em;
    border: 1px solid #c8c8c8;
    font-weight: 700;
    color: #333333;
    background-color: #f4f4f4;
}

.ui-treetable .ui-treetable-tbody>tr>td {
    background-color: inherit;
    padding: 0.571em 0.857em;
    font-size: 120%;
    // display: flex;
    // align-items: center;
}

.ui-treetable .ui-treetable-tbody>tr:not(:last-child)>td {
    border-bottom: 1px solid #c8c8c8;
}

.ui-treetable-auto-layout {
    &>.ui-treetable-wrapper {
        overflow-x: auto;

        &>table {
            table-layout: auto;
        }
    }
}

.ui-treetable-caption,
.ui-treetable-summary {
    padding: .25em .5em;
    text-align: center;
    font-weight: bold;
}

.ui-treetable-caption {
    border-bottom: 0 none;
}

.ui-treetable-summary {
    border-top: 0 none;
}

.ui-treetable-scrollable-wrapper {
    position: relative;
}

.ui-treetable-scrollable-header,
.ui-treetable-scrollable-footer {
    overflow: hidden;
    border: 0 none;
}

.ui-treetable-scrollable-body {
    overflow: auto;
    position: relative;

    &>table {
        &>.ui-treetable-tbody {
            &>tr {
                &:first-child {
                    &>td {
                        border-top: 0 none;
                    }
                }
            }
        }
    }
}

.ui-treetable-virtual-table {
    position: absolute;
}

.ui-treetable-frozen-view {
    .ui-treetable-scrollable-body {
        overflow: hidden;
    }

    &>.ui-treetable-scrollable-body {
        &>table {
            &>.ui-treetable-tbody {
                &>tr {
                    &>td {
                        &:last-child {
                            border-right: 0 none;
                        }
                    }
                }
            }
        }
    }
}

.ui-treetable-unfrozen-view {
    position: absolute;
    top: 0px;
}

.ui-treetable-resizable {
    &>.ui-treetable-wrapper {
        overflow-x: auto;
    }

    .ui-resizable-column {
        background-clip: padding-box;
        position: relative;
    }
}

.ui-treetable-resizable .ui-treetable-thead>tr>th,
.ui-treetable-resizable .ui-treetable-tfoot>tr>td,
.ui-treetable-resizable .ui-treetable-tbody>tr>td {
    overflow: hidden;
}

.ui-treetable-resizable-fit {
    .ui-resizable-column {
        &:last-child {
            .ui-column-resizer {
                display: none;
            }
        }
    }
}

.ui-treetable-reorder-indicator-up,
.ui-treetable-reorder-indicator-down {
    position: absolute;
    display: none;
}

.ui-treetable-responsive {
    .ui-treetable-tbody {
        &>tr {
            &>td {
                .ui-column-title {
                    display: none;
                }
            }
        }
    }
}

.ui-treetable-tbody>tr>td>p-treetabletoggler:empty {
    width: 32px;

}

.ui-treetable-tbody>tr>td>p-treetabletoggler {
    position: relative;
    display: inline-block;
}

.ui-treetable-tbody>tr>td span {
    line-height: 25px;
}

// ui-unselectable-text
.ui-treetable-toggler {

    margin-right: 7px;
    width: 25px !important;
    height: 25px !important;


    [name="arrow-dropright"] {
        position: absolute !important;
        top: 5px !important;
        left: 0px !important;
        width: 25px !important;
        height: 25px !important;
        z-index: 1;
        color: transparent;
        border: 1px solid #666;

        &::before,
        &::after {
            content: "";
            display: block;
            position: absolute;

            z-index: 2;
            background-color: #666;
        }

        &::before {
            top: 2px;
            left: 11px;
            width: 2px;
            height: 20px;
        }

        &::after {
            top: 11px;
            left: 2px;
            width: 20px;
            height: 2px;
        }

        svg,
        .icon-inner {
            display: none;
        }
    }


    [name="arrow-down"] {
        position: absolute !important;
        top: 5px !important;
        left: 0px !important;
        width: 25px !important;
        height: 25px !important;
        z-index: 1;
        color: transparent;
        border: 1px solid #666;

        &::before {
            content: "";
            display: block;
            position: absolute;
            z-index: 2;
            background-color: #666;
        }

        &::before {
            top: 11px;
            left: 2px;
            width: 20px;
            height: 2px;
        }



        svg,
        .icon-inner {
            display: none;
        }
    }

}

@media screen and (max-width: 40em) {

    .ui-treetable-responsive .ui-treetable-thead>tr>th,
    .ui-treetable-responsive .ui-treetable-tfoot>tr>td {
        display: none !important;
    }

    .ui-treetable-responsive .ui-treetable-tbody>tr>td {
        text-align: left;
        display: block;
        border: 0 none;
        width: 100% !important;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        float: left;
        clear: left;
    }

    .ui-treetable-responsive .ui-treetable-tbody>tr>td .ui-column-title {
        padding: .4em;
        min-width: 30%;
        display: inline-block;
        margin: -.4em 1em -.4em -.4em;
        font-weight: bold;
    }
}

.ui-treetable-loading {
    position: absolute;
    width: 100%;
    height: 100%;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=10)";
    opacity: 0.1;
    z-index: 1;
}

.ui-treetable-loading-content {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 2;
    margin-top: -1em;
    margin-left: -1em;
}

.ui-treetable .ui-treetable-loading-icon {
    font-size: 2em;
}

// === STEP ===
.ui-steps {
    background: var(--ion-color-primary);

    ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        overflow-x: auto;
    }

    .ui-steps-item {
        float: left;
        box-sizing: border-box;
        cursor: pointer;
    }

    &.ui-steps-readonly .ui-steps-item {
        cursor: auto;
    }

    .ui-steps-item {
        .ui-menuitem-link {
            text-decoration: none;
            display: block;
            padding: 1em;
            position: relative;
            text-align: center;
        }

        &.ui-state-highlight .ui-menuitem-link,
        &.ui-state-disabled .ui-menuitem-link {
            cursor: default;
        }
    }

    .ui-steps-number {
        font-size: 2em;
        display: block;
    }

    .ui-steps-title {
        display: block;
        white-space: nowrap;
    }
}


/* Responsive */

@media (max-width: 40em) {
    .ui-steps .ui-steps-item {
        .ui-menuitem-link {
            padding: 0.5em;
        }

        .ui-steps-title {
            display: none;
        }
    }
}

body .ui-steps {
    position: relative;

    .ui-steps-item {
        background-color: transparent;
        text-align: center;

        .ui-menuitem-link {
            display: inline-block;
            text-align: center;
            background-color: transparent;
            overflow: hidden;

            .ui-steps-number {
                -moz-border-radius: 50%;
                -webkit-border-radius: 50%;
                border-radius: 50%;
                display: inline-block;
                color: #333333;
                background-color: #ffffff;
                border: 1px solid #c8c8c8;
                position: relative;
                top: 16px;
                margin-bottom: 14px;
                width: 28px;
                height: 28px;
                font-size: 90%;
                line-height: 24px;
                text-align: center;
                font-weight: bold;
            }

            .ui-steps-title {
                display: block;
                margin-top: 6px;
                color: #ffffff;
            }
        }

        &.ui-state-highlight {
            .ui-steps-number {
                background: #26dd69;
                color: #ffffff;
                box-shadow: 0 0 28px rgba(255, 255, 255, 0.65);
            }

            .ui-steps-title {
                color: #26dd69;
            }
        }

        &:last-child .ui-menuitem-link {
            display: block;
        }
    }

    &:before {
        content: " ";
        border-top: 1px solid #c8c8c8;
        width: 100%;
        top: 45%;
        left: 0;
        display: block;
        position: absolute;
        display: table;
    }
}

.ui-helper-clearfix {

    &::after,
    &::before {
        content: "";
        display: table;
    }

    &::after {
        clear: both;
        content: "";
        display: table;
    }

    &::before {
        content: "";
        display: table;
    }
}

//  === BOX IMG EDIT ===
.box-img-edit {
    position: relative;
    margin: auto;

    .img-edit {
        position: relative;
        display: flex;
    }

    .box-img-btn {
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        bottom: 5px;
        right: 5px;
        font-size: 100%;
        color: #fff;
        background-color: rgba(0, 0, 0, 0.6);
        border-radius: 3px;
        width: 30px;
        height: 30px;

        ion-icon {
            padding-right: 3px
        }
    }

    img {
        width: 100%;
        height: auto;
        border-radius: 10px;
    }
}

// ==== BOX ====
.box {
    margin-bottom: 5px;
    background-color: #fff;
}

.box-header {
    padding: 0px 10px;
}

.box-title {
    font-size: 120%;
    color: $text-color-base;
    margin-bottom: 0px;
    margin-top: 0px;
    font-weight: 500;
    text-transform: uppercase;
}

.img-radius {
    border-radius: 10px;
    overflow: hidden;
    display: flex;
}

.container-scroll {
    display: flex;
    flex-direction: row;
    overflow-x: auto;
}

.container-scroll::-webkit-scrollbar{
    display: none !important;
}

.view-more-in-list {
    display: flex;
    align-items: center;
    justify-content: center;

    .btn-viewmore {
        margin: 0px 0px 10px 0px;
        --background: #fff;
        --background-activated: #2196f3;
        --background-focused: #2196f3;
        --border-width: 2px;
        --border-color: #2196f3;
        --box-shadow: none;
        --color: #2196f3;
        --color-activated: #fff;
        --color-focused: #fff;
        font-weight: normal;
        text-align: center;
        border: 1px solid #2196f3;
        border-radius: 10px;
        text-transform: none;

        button {
            padding: 7px 12px;
        }

        i {
            margin-left: 5px;
        }
    }
}

.box-card {
    .box-body {
        padding: 0px 10px;
    }

    .box-body-card {
        border-radius: 10px;
        box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
        overflow: hidden;
    }
}

// ==== SLIDER ====
.swiper {
    .swiper-pagination-bullet {
        background-color: #fff;
        width: 15px;
        height: 2px;
        border-radius: 0px;
        padding: 0px 2px;
        margin: 0px;
        border: none;
    }
}

.info-active {
    position: absolute;
    bottom: 10px;
    right: 10px;
    color: #333;
    z-index: 100;
}

// ==== TABBAR ====
ion-tab-bar {
    -webkit-transition: transform 0.3s linear, height 0.3s linear;
    -o-transition: transform 0.3s linear, height 0.3s linear;
    transition: transform 0.3s linear, height 0.3s linear;
    position: relative;

    &.hide {
        transform: translateY(100%);
        height: 0px;
    }

    // &::after {
    //     content: "";
    //     display: block;
    //     position: absolute;
    //     top: 5px;
    //     left: 0px;
    //     width: 100%;
    //     height: 5px;
    //     background-image: linear-gradient(to top, rgba(0, 0, 0, .1), transparent);
    // }
}

// ==== TOOLBAR ====
.toolbar-transparent {
    --background: transparent;
    --ion-color-base: transparent !important;
}

// ==== BUTTON ====
ion-button {
    --border-radius: 5px;
    --box-shadow: none;

    i {
        margin-right: 5px;
    }
}

// ==== Item ====
ion-item {
    ion-label.label-stacked {
        font-size: 120% !important;
        margin-bottom: 5px !important;
    }

    &:last-child {
        --border-color: transparent;
    }
}

.has-controls {
    ion-label {
        margin-bottom: 0px;
    }

    ion-item {
        &.item-ion-select.item-label {
            --min-height: 27px;

            ion-label,
            ion-icon {
                margin: 0px;
            }
        }
    }
}

// ==== Picker ====
ion-picker {
    .picker-button {
        color: var(--ion-color-secondary) !important;
    }
}

// ==== Alert ====

ion-alert {
    .alert-button {
        color: var(--ion-color-secondary) !important;
    }

    .alert-button-group.sc-ion-alert-md {
        display: -ms-flexbox;
        display: flex !important;
        -ms-flex-direction: row;
        flex-direction: row;
        width: 100%;
    }

    .alert-button-group {
        button.alert-button:nth-child(1) {
            color: var(--ion-color-secondary) !important;

        }

        button.alert-button:nth-child(2) {
            font-weight: bold;
            color: var(--ion-color-secondary) !important;

        }

        button.alert-button:nth-child(3) {
            // font-weight: bold;
            color: var(--ion-color-secondary) !important;

        }
    }
}


.filter-header-bar {
    background-color: #fff;
    position: relative;
    box-shadow: 0px 2px 5px 1px rgba(0, 0, 0, 0.1);

    .custom-ion-select {
        ion-select {
            --padding-top: 5px;
            --padding-bottom: 5px;
            display: flex;
            align-items: center;
            text-align: center;
        }
    }

    ion-badge {
        border-radius: 50%;
        position: absolute;
        top: 3px;
        right: 3px;
        width: 20px;
        height: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .col-combobox {
        .item-ion-select-dialog {
            ion-label {
                text-align: center;
            }
        }
    }
}

.fixed-bottom-container {
    position: fixed;
    left: 0px;
    bottom: 0px;
    transition: all .5s;
    width: 100%;
    padding: 5px 10px;
    background-color: #fff;
    box-shadow: 0px -2px 5px rgba(0, 0, 0, 0.1);

    ion-buttons {
        ion-button {
            --border-radius: 5px !important;
            height: 36px !important;
            margin-top: 4px !important;
            margin-bottom: 4px !important;
        }
    }

    //margin-bottom: 20px; /* Fab bar bottom height on iOS 10 */
    margin-bottom: constant(safe-area-inset-bottom);
    /*  Fab bar height on iOS 11.0 */
    margin-bottom: env(safe-area-inset-bottom);
    /*  Fab bar height on iOS 11+ */


}

.fixed-bottom-container-row {
    flex-direction: row;
    display: flex;

    .btn-apply,
    .btn-reset {
        width: 50%;
    }

}

.fixed-bottom-control {
    display: flex;
    justify-content: flex-end;
    padding: 12px 0px;

    .btn-fixed {
        font-size: 25px;
        padding: 0px 10px;
    }
}

.has-btn-plus {
    --padding-bottom: 60px;
}

.mypage-page {
    .fixed-bottom-container {
        position: sticky;
    }
}

.avatar-edit {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    .avatar {
        width: 100px;
        height: 100px;
        overflow: hidden;
        position: relative;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .choose-camera {
        position: absolute;
        bottom: 0px;
        left: 0px;
        height: 30%;
        width: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        color: #fff;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}

.header-page {
    ion-icon {
        --padding-start: 10px !important;
        --padding-end: 10px !important;
        // font-size: 2.4em !important;
    }

    i {
        font-size: 140%;
    }
}

.note-contents {
    padding: 5px 10px;
    margin-top: 0px;
}

ion-list>ion-list-header {
    text-transform: uppercase;
    font-weight: 500;
    color: #666;
}

ion-select {
    --padding-start: 0px;
}

.input-email-custom {
    display: flex;
}

ion-toolbar>ion-buttons {
    // padding: 0px 10px;
    // font-size: 130%;

    ion-label {
        font-size: 130%;
    }

    ion-button {
        font-size: 16px !important;

        ion-icon.la,
        ion-icon.fa {
            font-size: 150% !important;
            ;
        }
    }
}


.ui-steps.steps-custom {
    background-color: #fff;
    box-shadow: 0px 2px 5px 1px rgba(0, 0, 0, 0.1);

    .ui-menuitem-link {
        padding: 7px 12px;
        border-top: 3px solid transparent;
        border-bottom: 3px solid transparent;
        opacity: .6;
    }

    .ui-state-complete {
        .ui-menuitem-link {
            padding: 7px 12px;
            border-bottom: 3px solid $teal;
            opacity: 1;
        }
    }

    .ui-steps-current {
        .ui-menuitem-link {
            padding: 7px 12px;
            border-bottom: 3px solid $green;
            opacity: 1;
        }
    }

    .ui-steps-item {
        display: flex;
    }

    .ui-steps-number {
        display: none !important;
    }

    .ui-steps-title {
        color: #333 !important;
        margin-top: 0px !important;
        font-weight: 500;
    }

    &::before {
        display: none !important;
    }
}

ion-segment-button>ion-label {
    margin-top: 5px;
    margin-bottom: 5px;
}

ion-segment-button:not(.segment-button-checked){
    position: relative;
    &:after{
        position: absolute;
        bottom: 0px;
        left: 0px;
        width: 100%;
        background-color: #999;
        height: 2px;
        display: block;
        content: "";

    }
}


.list-highlight {
    ion-item:nth-child(even) {
        --background: rgba(239, 239, 239, 0.49);
    }
}

[margin-bottom-content] {
    margin-bottom: 5px;
}

.share-container {
    display: flex;
    align-content: center;
    justify-content: space-between;
    padding: 10px;

    .share-list {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        width: 100%;

        .share-item {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 50px;
            height: 50px;
            --border-radius: 50%;
            margin: 0px 5px;

            i {
                font-size: 150%;
                color: #fff;
                margin: 0px !important;
            }
        }

        .share-item-facebook {
            --background: #4267B2;
        }

        .share-item-copy-link {
            --background: #FF922B;
        }
    }
}


//  ==== Popover ====

.popover-content {
    ion-header {
        ion-toolbar {
            justify-content: start;
            --ion-color-base: #fff !important;
            --ion-color-contrast: #333 !important;
        }
    }
}


//  ==== Rating ====
.create-rating-container {
    font-size: 100%;

    .title {
        text-align: center;
    }

    ion-rating:focus,
    ion-rating>div:focus,
    .star-container:focus {
        outline: none !important;
    }

    .star-container {
        .star {
            width: 40px;
            height: 40px;
        }
    }
}

ion-rating {
    ion-button {
        height: auto;
    }
}

.col-combobox {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 35px;
    position: relative;

    .title {
        margin-right: 5px;
    }

    &:not(:last-child)::after {
        content: "";
        display: block;
        position: absolute;
        top: 50%;
        right: 0px;
        width: 1px;
        height: 70%;
        background-color: #efefef;
        transform: translateY(-50%);
    }
}


//  ==== Filter ====
.filter-container {
    .price-text {
        font-weight: 500;
    }

    .range-price {
        --knob-size: 40px;
    }

    .price-label {
        span {
            margin-right: 5px;
        }
    }

    .custom-ion-select {
        --inner-padding-end: 0px;
        --inner-padding-start: 0px;

        .item-ion-select {

            .item-native,
            .item-inner {
                padding: 0px !important;
                --padding-start: 0px !important;
                --padding-end: 0px !important;
            }
        }
    }
}

.header-shadow {
    .modal-search {
        position: relative;

        &::after {
            display: block;
            content: "";
            position: absolute;
            top: 100%;
            left: 0px;
            width: 100%;
            height: 5px;
            background: linear-gradient(to bottom, rgba(0, 0, 0, .2), transparent);
        }
    }
}




// ==== Toolbar ====  

ion-toolbar.ion-color-light {
    --ion-color-base: #fff !important;
    position: relative;

    ion-title {
        font-weight: 500;
        padding-inline-start: 60px;
        padding-inline-end: 60px;
    }

    ion-button {
        text-transform: none;
        font-weight: 500;
        color: var(--ion-color-secondary);
        letter-spacing: 0px;

        i,
        ion-icon {
            color: $gray-800;
        }
    }

    .searchbar-input {
        box-shadow: none !important;
    }

    &::after {
        position: absolute;
        bottom: 0px;
        left: 0px;
        width: 100%;
        height: 3px;
        background-color: $primary;
        content: "";
        display: block;
    }
}



//  ==== Button ====
.btn-finger {
    ion-icon {
        font-size: 180%;
    }
}

.btn-text {
    color: var(--ion-color-secondary);
    --color-activated: var(--ion-color-secondary);
    --color-focused: var(--ion-color-secondary);
    --background: transparent;

    i {
        font-size: 130% !important;
        margin-bottom: 2px;
    }

}

.default-btn-list {
    padding: 20px 10px 15px 10px;
    display: flex;
    flex-wrap: wrap;

    .default-btn-item {
        width: 50%;
        padding: 0px 8px;
        margin-bottom: 10px;

        .default-btn {
            border: 1px solid #ccc;
            border-radius: 5px;
            height: 50px;
            font-size: 150%;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &.active {
            .default-btn {
                background-color: var(--ion-color-secondary);
                border: 1px solid var(--ion-color-secondary);
                color: #fff;
            }
        }

        &.disable {
            .default-btn {
                background-color: #efefef;
                border: 1px solid #efefef;
                color: #666;
            }
        }
    }

    &.default-btn-list-thanhtoan{
        padding: 0px 10px;
        .default-btn-item {
            .default-btn {
                padding: 0px 5px;
                font-size: 120%;
                .icon{
                    width: 30px;
                    margin-right: 10px;
                }
            }

            &.active {
                .default-btn {
                    background-color: var(--ion-color-secondary);
                    border: 2px solid var(--ion-color-secondary);
                    color: #fff;
                }
            }
        }
        

       

    }

    &.default-btn-list-check{
        .default-btn-item {
            &.active {
                .default-btn {
                    background-color: #fff;
                    border: 2px solid var(--ion-color-secondary);
                    color: #333;
                    position: relative;
                    z-index: 1;

                    &::after{
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        font-family: $font-line-awesome;
                        content: "\f00c";
                        position: absolute;
                        width: 20px;
                        height: 20px;
                        top: -10px;
                        right: -10px;
                        border-radius: 50%;
                        z-index: 2;
                        font-weight: 900;
                        font-size: 14px;
                        color: #fff;
                        background-color: var(--ion-color-secondary);
                    }   
                }
            }
        }
    }
}


// ==== Card ====

.card-secondary {
    background: #00c6ff !important;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #0072ff, #00c6ff) !important;
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #0072ff, #00c6ff) !important;
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

    ion-item {
        --background: transparent;
    }
}


ion-card {
    border-radius: 10px !important;
}

// ==== Skeleton ====
.skeleton-thumb {
    line-height: 200px !important;
    border-radius: 0px;
    margin: 0px;
}


// ==== Label ====

.label-default {
    font-size: 120% !important;
    margin-top: 15px !important;
    margin-bottom: 0px !important;
    display: block;
}

.label-header-default {
    font-size: 14px;
    font-weight: 600 !important;
    color: #666 !important;
    display: block;
    text-transform: uppercase;
    margin-bottom: 5px !important;
}

.item-desc {
    color: #666 !important;
    font-size: 13px !important;
    font-style: italic !important;
    text-transform: none !important;
    font-weight: normal !important;
    margin: 0px !important;
}


// ==== Content ==== 
.background-content {
    --background: #efefef !important;
}


.has-fixed-bottom {
    --padding-bottom: 54px !important;
}

.has-fixed-bottom-info.has-fixed-bottom {
    --padding-bottom: 100px !important;

}

// ==== DATE TIME PICKER ====
ion-datetime {
    padding-bottom: 8px;
}


.action-sheets-basic {

    ion-icon {
        font-family: $font-line-awesome;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-shrink: 0;
        padding: 0px !important;
        background-color: #fff;
        font-weight: 900;
        overflow: hidden;
        height: 20px;
        width: 20px;
        svg,
        icon-inner{
            display: none !important;
        }
    }


    .phone {
        ion-icon {
            &:before {
                content: "\f095" !important;
            }
        }
    }

    .share {
        ion-icon {
            &:before {
                content: "\f1e0" !important;
            }
        }
    }
    .copy {
        ion-icon {
            &:before {
                content: "\f0c5" !important;
            }
        }
    }
    .bookmark {
        ion-icon {
            &:before {
                content: "\f02e" !important;
            }
        }
    }

    .create {
        ion-icon {
            &:before {
                content: "\f044" !important;
            }
        }
    }

    .ban{
        ion-icon {
            &:before {
                content: "\f05e" !important;
            }
        }
    }
}

.gallery-dialog {
    text-align: center;

    .item {
        margin-bottom: 5px;

        img {
            max-width: 100%;
        }
    }
}

.verify-value {
    font-size: 140% !important;
}


.avatar-upload {
    position: relative;
    overflow: hidden;

    &.active {
        &::before {
            position: absolute;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
            content: "";
            display: block;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 1;
            overflow: hidden;
        }

        &::after {
            position: absolute;
            top: 50%;
            left: 50%;
            width: 15px;
            height: 7px;
            transform: rotate(-45deg) translate(-0%, -100%);
            border: 2px solid transparent;
            border-bottom-color: #26dd69;
            border-left-color: #26dd69;
            border-top: none;
            border-right: none;
            display: block;
            content: "";
            z-index: 2;
        }

    }
}


.title-fixed {
    padding: 7px 16px;
    position: sticky;
    top: 0px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #FFEB3B;
    font-size: 125%;
    z-index: 1000;
    box-shadow: 0px 2px 5px 1px rgba(0, 0, 0, .05);

    &.note {
        font-style: italic;

    }

    &.color-note {
        color: var(--ion-color-warning-shade);
    }
}


.iframe-content {
    border: none;
}



.hide-horizontal-scrollbar {
    position: relative;
    overflow: hidden;
    overflow-x: auto;

    ::-webkit-scrollbar {
        display: none;
      }
 }
.category-filter-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    overflow-x: auto;
    padding: 0px 10px;
    padding-top: 10px;

    
    &::-webkit-scrollbar {
        display: none!important;
        background: transparent; 
        visibility: hidden;
    }

    .category-filter-item {
        min-width: 80px;
        flex-shrink: 0;
        padding: 7px 12px;
        border: 1px solid #ccc;
        color: #333;
        border-radius: 5px;
        text-align: center;
        margin-right: 5px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #fff;
        font-size: 110%;
        text-decoration: none;
        white-space: nowrap;

        &.active,
        &:focus {
            background-color: #333;
            color: #fff;
            border-color: #333;
        }


        .images {
            position: relative;
            padding-top: 66.6%;
            overflow: hidden;
            display: block;
            width: 100%;

            img {
                position: absolute;
                top: 50%;
                left: 0px;
                transform: translateY(-50%);
            }
        }
    }
}

.category-filter-container::-webkit-scrollbar,
.category-filter-container::-webkit-scrollbar-thumb{
    display: none !important;
    background-color: transparent!important;
    width: 0px!important;
    height: 0px!important;
    visibility: hidden;
}

.category-filter-images {
    .category-filter-item {
        padding: 5px;
        flex-direction: column;
        white-space: unset;
    }
}

.ck-danhgia {

    .cke_contents {
        padding: 0px 10px;
        border: 1px solid #ccc;
        border-radius: 10px;
        min-height: 120px;
    }

    &.ck-empty {
        .cke_inner {
            &::after {
                top: 15px;
                left: 15px;
                transform: none;
                content: "Nhập mô tả của bạn...";
            }
        }
    }
}

.history-verify {
    font-size: 90%;
}


.dialog-congratulations {
    --offset-top: 0px !important;

    .title {
        font-weight: 600;
        font-size: 200%;
        text-align: center;
        text-transform: uppercase;
    }

    .desc {
        font-weight: 600;
        font-size: 150%;
        text-align: center;
    }

    .dialog-congratulations-content {


        height: 50vh;
        width: 100%;
        background: url(/assets/images/congratulations-point.png) no-repeat;
        background-size: contain;
        background-position: center;
        position: relative;
        z-index: 1;

        .dialog-congratulations-tag {
            width: 50%;
            height: 100px;
            background: url(/assets/images/congratulations-point-tag.png) no-repeat;
            background-size: contain;
            background-position: center;
            position: absolute;
            top: calc(50% + 50px);
            left: 50%;
            transform: translate(-50%, -50%) rotate(5deg);
            z-index: 2;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            font-weight: 600;
            padding-left: 30px;
            font-size: 300%;
            animation: taglag 1s infinite alternate;
        }


    }

}


@keyframes taglag {
    0% {
        transform: translate(-50%, -49%) rotate(4deg);
    }

    100% {
        transform: translate(-50%, -51%) rotate(7deg);
    }
}

.header-dialog {

    &.header-md:after,
    ion-toolbar.ion-color-light::after {
        display: none;
    }

}

.disable-block {
    pointer-events: none !important;
    filter: grayscale(1);
    opacity: .7;

    &.accept-action{
        pointer-events: unset !important;
    }
}

.important{
    &::after{
        content: " *";
        color: #b62831;
        display: inline-block;
    }
}


.label-no-data{
    --min-height: 10px;
}


// =========== OPTION INPUT ============
.otp-input{
    &:focus{
        outline: none;
    }
}